// DirectoryFilter.java
// $Id: DirectoryFilter.java,v 1.2 1997/07/30 13:58:50 ylafon Exp $  
// (c) COPYRIGHT MIT and INRIA, 1997.
// Please first read the full copyright statement in file COPYRIGHT.html

package w3c.cvs;

import java.io.*;

class DirectoryFilter implements FilenameFilter {
    
    public boolean accept(File dir, String name) {
	return (( ! name.equals("CVS"))
		&& ( ! name.equals("Attic"))
		&& (new File(dir, name)).isDirectory());
    }

    DirectoryFilter() {
	super();
    }

}
